###############################################################################
# Copyright (c) 2009, 2011, Oracle and/or its affiliates. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

diff --git a/src/xlibi18n/lcUniConv/jisx0212.h b/src/xlibi18n/lcUniConv/jisx0212.h
index 05cca52..1458e9c 100644
--- a/src/xlibi18n/lcUniConv/jisx0212.h
+++ b/src/xlibi18n/lcUniConv/jisx0212.h
@@ -3,6 +3,1592 @@
  * JISX0212.1990-0
  */
 
+#ifdef sun
+static const unsigned short jisx0212vdc_2uni_page22[81] = {
+  /* 0x22 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x00a6, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x2116,
+};
+static const unsigned short jisx0212vdc_2uni_page30[542] = {
+  /* 0x30 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x4e28, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x4ee1,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x4f00, 0xfffd, 0x4f03, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x4f39, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x4f56, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x31 */
+  0xfffd, 0xfffd, 0x4f8a, 0xfffd, 0xfffd, 0xfffd, 0x4f92, 0xfffd,
+  0x4f94, 0xfffd, 0xfffd, 0x4f9a, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x4fc9, 0xfffd, 0xfffd, 0x4fcd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x4fff,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x501e, 0x5022,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5040, 0xfffd,
+  0x5042, 0xfffd, 0x5046, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x5070, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x32 */
+  0xfffd, 0xfffd, 0x5094, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x50d8, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x514a, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5164, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x519d, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x51be, 0xfffd, 0xfffd,
+  /* 0x33 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5215, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x529c,
+  0xfffd, 0xfffd, 0x52a6, 0xfffd, 0x52af, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x52c0, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x52db, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x5300, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x34 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5372,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5393, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x53b2,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x53dd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x35 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x549c, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x54a9, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x54ff, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5586,
+};
+static const unsigned short jisx0212vdc_2uni_page37[2834] = {
+  /* 0x37 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x5765, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x57ac, 0xfffd, 0xfffd, 0x57c7, 0x57c8,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x38 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x58b2, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x590b, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5953, 0xfffd, 0x595b, 0x595d,
+  0xfffd, 0xfffd, 0xfffd, 0x5963, 0xfffd, 0xfffd,
+  /* 0x39 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x59a4, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x59ba, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x3a */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5b56, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x5bc0, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x5bd8, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x5c1e, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x3b */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x5ca6, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5cba,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x5d27, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5d42,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5d6d, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x5db8, 0x5db9, 0xfffd, 0xfffd, 0xfffd,
+  0x5dd0, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x3c */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x5f21, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5f34, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x5f45, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x5f67,
+  /* 0x3d */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x5fde, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x605d, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x608a,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x3e */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x60d5, 0xfffd, 0xfffd, 0xfffd, 0x60de,
+  0xfffd, 0xfffd, 0x60f2, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6111, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x6130, 0xfffd, 0xfffd, 0xfffd, 0x6137, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x6198, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x3f */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6213,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x62a6, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x40 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x63f5, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x6460, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x649d, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x41 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x64ce, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6600, 0xfffd, 0xfffd, 0x6609,
+  0xfffd, 0xfffd, 0xfffd, 0x6615, 0xfffd, 0xfffd,
+  /* 0x42 */
+  0x661e, 0xfffd, 0xfffd, 0xfffd, 0x6624, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x662e, 0xfffd, 0x6631, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6657,
+  0xfffd, 0x6659, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x66fb, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x6673, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x6699, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x66a0, 0xfffd,
+  0xfffd, 0xfffd, 0x66b2, 0xfffd, 0xfffd, 0x66bf, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x66fa, 0xfffd, 0xfffd, 0x670e,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x43 */
+  0x6766, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x67bb, 0xfffd, 0xfffd, 0xfffd,
+  0x67c0, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x6852, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6844,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x68c8, 0xfffd, 0x68cf,
+  /* 0x44 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x6968, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x6998, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x69e2, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6a30, 0xfffd,
+  /* 0x45 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6a46, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6a73, 0x6a7e, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6ae4, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x46 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6bd6,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6c3f, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6c5c,
+  0xfffd, 0xfffd, 0x6c6f, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x6c86, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x47 */
+  0x6cda, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x6d04, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x6d6f, 0xfffd, 0xfffd, 0xfffd, 0x6d87, 0xfffd,
+  0xfffd, 0xfffd, 0x6d96, 0xfffd, 0xfffd, 0xfffd, 0x6dac, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x6dcf, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6dfc, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x6e27, 0xfffd, 0xfffd, 0x6e39, 0xfffd, 0x6e3c,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x6e5c, 0xfffd, 0xfffd,
+  /* 0x48 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x6ebf, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6f88, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6fb5,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x49 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x6ff5, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x7005, 0xfffd, 0x7007, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x7085, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x70ab, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x7104, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x710f, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x7146, 0x7147, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x715c, 0xfffd, 0xfffd,
+  /* 0x4a */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x71c1, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x71fe, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x72b1, 0xfffd,
+  0x72be, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x4b */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x7324, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x7377, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x73bd, 0xfffd, 0xfffd,
+  0xfffd, 0x73c9, 0xfffd, 0xfffd, 0xfffd, 0x73d2, 0xfffd, 0x73d6,
+  0xfffd, 0xfffd, 0xfffd, 0x73e3, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x73f5, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x4c */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x7407, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x7426, 0xfffd, 0x7429, 0x742a, 0xfffd, 0xfffd,
+  0xfffd, 0x742e, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x7462, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x7489,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x749f, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x4d */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x752f, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x756f, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x4e */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x769b, 0x769c, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x76a6, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x7746, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x4f */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x7821, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x784e, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x7864, 0xfffd, 0xfffd, 0xfffd, 0x787a, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x50 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x7994, 0xfffd, 0xfffd, 0xfffd,
+  0x799b, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x51 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x7ad1,
+  0xfffd, 0xfffd, 0xfffd, 0x7aeb, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x52 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x7b9e, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x53 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x7d48, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x7d5c,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x54 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x7db7, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x7e52, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x7e8a, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x7f47, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x55 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x7fa1,
+};
+static const unsigned short jisx0212vdc_2uni_page57[237] = {
+  /* 0x57 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x8301, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x58 */
+  0xfffd, 0x837f, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x83c7, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x83f6, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x8448, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x84b4, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x59 */
+  0x84dc, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x8553, 0xfffd, 0x8559,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x856b,
+};
+static const unsigned short jisx0212vdc_2uni_page5c[1558] = {
+  /* 0x5c */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x88f5, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x891c, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x5d */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x8a12,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x8a37, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x8a79, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x8aa7, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x5e */
+  0xfffd, 0xfffd, 0xfffd, 0x8abe, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x8adf,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x8af6, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x8b53, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x5f */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x8cf0, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x8d12, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x60 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x8ecf, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x61 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x9067, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x62 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9127, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x63 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x91d7, 0xfffd, 0x91da,
+  0x91de, 0x91e4, 0x91e5, 0xfffd, 0xfffd, 0xfffd, 0x91ed, 0x91ee,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x9206, 0xfffd, 0xfffd, 0x920a, 0xfffd,
+  0x9210, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x9239, 0x923a, 0x923c, 0xfffd, 0x9240,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x924e, 0xfffd,
+  0x9251, 0xfffd, 0x9259, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x9267, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x9277, 0x9278, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9288,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x64 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x92a7, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x92d0, 0x92d3, 0x92d5,
+  0x92d7, 0xfffd, 0x92d9, 0xfffd, 0xfffd, 0xfffd, 0x92e0, 0xfffd,
+  0xfffd, 0xfffd, 0x92e7, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x92f9,
+  0x92fb, 0x92ff, 0xfffd, 0x9302, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x931d, 0x931e, 0xfffd, 0x9321, 0xfffd, 0x9325,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x9348, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9357, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x9370, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x65 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x93a4, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x93c6, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x93de, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x93f8,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x9431, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x9445, 0x9448, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x66 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x969d,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x96af, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x67 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0x9733, 0xfffd, 0x9743, 0xfffd, 0xfffd,
+  0x974f, 0x9755, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x68 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x9857, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9865, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9927, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x69 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0x9a4e, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9adc, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x6a */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9b75, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x9b8f, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9bb1, 0xfffd, 0xfffd,
+  0xfffd, 0x9bbb, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x6b */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9c00, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0x9d6b, 0x9d70, 0xfffd, 0xfffd, 0xfffd,
+  /* 0x6c */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0x9e19,
+};
+static const unsigned short jisx0212vdc_2uni_page73[1128] = {
+  /* 0x73 */
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
+  0xfffd, 0xfffd, 0x2170, 0x2171, 0x2172, 0x2173, 0x2174, 0x2175,
+  0x2176, 0x2177, 0x2178, 0x2179, 0x2160, 0x2161,
+  /* 0x74 */
+  0x2162, 0x2163, 0x2164, 0x2165, 0x2166, 0x2167, 0x2168, 0x2169,
+  0xff07, 0xff02, 0x3231, 0x2116, 0x2121, 0x70bb, 0x4efc, 0x50f4,
+  0x51ec, 0x5307, 0x5324, 0xfa0e, 0x548a, 0x5759, 0xfa0f, 0xfa10,
+  0x589e, 0x5bec, 0x5cf5, 0x5d53, 0xfa11, 0x5fb7, 0x6085, 0x6120,
+  0x654e, 0x663b, 0x6665, 0xfa12, 0xf929, 0x6801, 0xfa13, 0xfa14,
+  0x6a6b, 0x6ae2, 0x6df8, 0x6df2, 0x7028, 0xfa15, 0xfa16, 0x7501,
+  0x7682, 0x769e, 0xfa17, 0x7930, 0xfa18, 0xfa19, 0xfa1a, 0xfa1b,
+  0x7ae7, 0xfa1c, 0xfa1d, 0x7da0, 0x7dd6, 0xfa1e, 0x8362, 0xfa1f,
+  0x85b0, 0xfa20, 0xfa21, 0x8807, 0xfa22, 0x8b7f, 0x8cf4, 0x8d76,
+  0xfa23, 0xfa24, 0xfa25, 0x90de, 0xfa26, 0x9115, 0xfa27, 0xfa28,
+  0x9592, 0xf9dc, 0xfa29, 0x973b, 0x974d, 0x9751, 0xfa2a, 0xfa2b,
+  0xfa2c, 0x999e, 0x9ad9, 0x9b72, 0xfa2d, 0x9ed1,
+  /* 0x75 */
+  0xe3ac, 0xe3ad, 0xe3ae, 0xe3af, 0xe3b0, 0xe3b1, 0xe3b2, 0xe3b3,
+  0xe3b4, 0xe3b5, 0xe3b6, 0xe3b7, 0xe3b8, 0xe3b9, 0xe3ba, 0xe3bb,
+  0xe3bc, 0xe3bd, 0xe3be, 0xe3bf, 0xe3c0, 0xe3c1, 0xe3c2, 0xe3c3,
+  0xe3c4, 0xe3c5, 0xe3c6, 0xe3c7, 0xe3c8, 0xe3c9, 0xe3ca, 0xe3cb,
+  0xe3cc, 0xe3cd, 0xe3ce, 0xe3cf, 0xe3d0, 0xe3d1, 0xe3d2, 0xe3d3,
+  0xe3d4, 0xe3d5, 0xe3d6, 0xe3d7, 0xe3d8, 0xe3d9, 0xe3da, 0xe3db,
+  0xe3dc, 0xe3dd, 0xe3de, 0xe3df, 0xe3e0, 0xe3e1, 0xe3e2, 0xe3e3,
+  0xe3e4, 0xe3e5, 0xe3e6, 0xe3e7, 0xe3e8, 0xe3e9, 0xe3ea, 0xe3eb,
+  0xe3ec, 0xe3ed, 0xe3ee, 0xe3ef, 0xe3f0, 0xe3f1, 0xe3f2, 0xe3f3,
+  0xe3f4, 0xe3f5, 0xe3f6, 0xe3f7, 0xe3f8, 0xe3f9, 0xe3fa, 0xe3fb,
+  0xe3fc, 0xe3fd, 0xe3fe, 0xe3ff, 0xe400, 0xe401, 0xe402, 0xe403,
+  0xe404, 0xe405, 0xe406, 0xe407, 0xe408, 0xe409,
+  /* 0x76 */
+  0xe40a, 0xe40b, 0xe40c, 0xe40d, 0xe40e, 0xe40f, 0xe410, 0xe411,
+  0xe412, 0xe413, 0xe414, 0xe415, 0xe416, 0xe417, 0xe418, 0xe419,
+  0xe41a, 0xe41b, 0xe41c, 0xe41d, 0xe41e, 0xe41f, 0xe420, 0xe421,
+  0xe422, 0xe423, 0xe424, 0xe425, 0xe426, 0xe427, 0xe428, 0xe429,
+  0xe42a, 0xe42b, 0xe42c, 0xe42d, 0xe42e, 0xe42f, 0xe430, 0xe431,
+  0xe432, 0xe433, 0xe434, 0xe435, 0xe436, 0xe437, 0xe438, 0xe439,
+  0xe43a, 0xe43b, 0xe43c, 0xe43d, 0xe43e, 0xe43f, 0xe440, 0xe441,
+  0xe442, 0xe443, 0xe444, 0xe445, 0xe446, 0xe447, 0xe448, 0xe449,
+  0xe44a, 0xe44b, 0xe44c, 0xe44d, 0xe44e, 0xe44f, 0xe450, 0xe451,
+  0xe452, 0xe453, 0xe454, 0xe455, 0xe456, 0xe457, 0xe458, 0xe459,
+  0xe45a, 0xe45b, 0xe45c, 0xe45d, 0xe45e, 0xe45f, 0xe460, 0xe461,
+  0xe462, 0xe463, 0xe464, 0xe465, 0xe466, 0xe467,
+  /* 0x77 */
+  0xe468, 0xe469, 0xe46a, 0xe46b, 0xe46c, 0xe46d, 0xe46e, 0xe46f,
+  0xe470, 0xe471, 0xe472, 0xe473, 0xe474, 0xe475, 0xe476, 0xe477,
+  0xe478, 0xe479, 0xe47a, 0xe47b, 0xe47c, 0xe47d, 0xe47e, 0xe47f,
+  0xe480, 0xe481, 0xe482, 0xe483, 0xe484, 0xe485, 0xe486, 0xe487,
+  0xe488, 0xe489, 0xe48a, 0xe48b, 0xe48c, 0xe48d, 0xe48e, 0xe48f,
+  0xe490, 0xe491, 0xe492, 0xe493, 0xe494, 0xe495, 0xe496, 0xe497,
+  0xe498, 0xe499, 0xe49a, 0xe49b, 0xe49c, 0xe49d, 0xe49e, 0xe49f,
+  0xe4a0, 0xe4a1, 0xe4a2, 0xe4a3, 0xe4a4, 0xe4a5, 0xe4a6, 0xe4a7,
+  0xe4a8, 0xe4a9, 0xe4aa, 0xe4ab, 0xe4ac, 0xe4ad, 0xe4ae, 0xe4af,
+  0xe4b0, 0xe4b1, 0xe4b2, 0xe4b3, 0xe4b4, 0xe4b5, 0xe4b6, 0xe4b7,
+  0xe4b8, 0xe4b9, 0xe4ba, 0xe4bb, 0xe4bc, 0xe4bd, 0xe4be, 0xe4bf,
+  0xe4c0, 0xe4c1, 0xe4c2, 0xe4c3, 0xe4c4, 0xe4c5,
+  /* 0x78 */
+  0xe4c6, 0xe4c7, 0xe4c8, 0xe4c9, 0xe4ca, 0xe4cb, 0xe4cc, 0xe4cd,
+  0xe4ce, 0xe4cf, 0xe4d0, 0xe4d1, 0xe4d2, 0xe4d3, 0xe4d4, 0xe4d5,
+  0xe4d6, 0xe4d7, 0xe4d8, 0xe4d9, 0xe4da, 0xe4db, 0xe4dc, 0xe4dd,
+  0xe4de, 0xe4df, 0xe4e0, 0xe4e1, 0xe4e2, 0xe4e3, 0xe4e4, 0xe4e5,
+  0xe4e6, 0xe4e7, 0xe4e8, 0xe4e9, 0xe4ea, 0xe4eb, 0xe4ec, 0xe4ed,
+  0xe4ee, 0xe4ef, 0xe4f0, 0xe4f1, 0xe4f2, 0xe4f3, 0xe4f4, 0xe4f5,
+  0xe4f6, 0xe4f7, 0xe4f8, 0xe4f9, 0xe4fa, 0xe4fb, 0xe4fc, 0xe4fd,
+  0xe4fe, 0xe4ff, 0xe500, 0xe501, 0xe502, 0xe503, 0xe504, 0xe505,
+  0xe506, 0xe507, 0xe508, 0xe509, 0xe50a, 0xe50b, 0xe50c, 0xe50d,
+  0xe50e, 0xe50f, 0xe510, 0xe511, 0xe512, 0xe513, 0xe514, 0xe515,
+  0xe516, 0xe517, 0xe518, 0xe519, 0xe51a, 0xe51b, 0xe51c, 0xe51d,
+  0xe51e, 0xe51f, 0xe520, 0xe521, 0xe522, 0xe523,
+  /* 0x79 */
+  0xe524, 0xe525, 0xe526, 0xe527, 0xe528, 0xe529, 0xe52a, 0xe52b,
+  0xe52c, 0xe52d, 0xe52e, 0xe52f, 0xe530, 0xe531, 0xe532, 0xe533,
+  0xe534, 0xe535, 0xe536, 0xe537, 0xe538, 0xe539, 0xe53a, 0xe53b,
+  0xe53c, 0xe53d, 0xe53e, 0xe53f, 0xe540, 0xe541, 0xe542, 0xe543,
+  0xe544, 0xe545, 0xe546, 0xe547, 0xe548, 0xe549, 0xe54a, 0xe54b,
+  0xe54c, 0xe54d, 0xe54e, 0xe54f, 0xe550, 0xe551, 0xe552, 0xe553,
+  0xe554, 0xe555, 0xe556, 0xe557, 0xe558, 0xe559, 0xe55a, 0xe55b,
+  0xe55c, 0xe55d, 0xe55e, 0xe55f, 0xe560, 0xe561, 0xe562, 0xe563,
+  0xe564, 0xe565, 0xe566, 0xe567, 0xe568, 0xe569, 0xe56a, 0xe56b,
+  0xe56c, 0xe56d, 0xe56e, 0xe56f, 0xe570, 0xe571, 0xe572, 0xe573,
+  0xe574, 0xe575, 0xe576, 0xe577, 0xe578, 0xe579, 0xe57a, 0xe57b,
+  0xe57c, 0xe57d, 0xe57e, 0xe57f, 0xe580, 0xe581,
+  /* 0x7a */
+  0xe582, 0xe583, 0xe584, 0xe585, 0xe586, 0xe587, 0xe588, 0xe589,
+  0xe58a, 0xe58b, 0xe58c, 0xe58d, 0xe58e, 0xe58f, 0xe590, 0xe591,
+  0xe592, 0xe593, 0xe594, 0xe595, 0xe596, 0xe597, 0xe598, 0xe599,
+  0xe59a, 0xe59b, 0xe59c, 0xe59d, 0xe59e, 0xe59f, 0xe5a0, 0xe5a1,
+  0xe5a2, 0xe5a3, 0xe5a4, 0xe5a5, 0xe5a6, 0xe5a7, 0xe5a8, 0xe5a9,
+  0xe5aa, 0xe5ab, 0xe5ac, 0xe5ad, 0xe5ae, 0xe5af, 0xe5b0, 0xe5b1,
+  0xe5b2, 0xe5b3, 0xe5b4, 0xe5b5, 0xe5b6, 0xe5b7, 0xe5b8, 0xe5b9,
+  0xe5ba, 0xe5bb, 0xe5bc, 0xe5bd, 0xe5be, 0xe5bf, 0xe5c0, 0xe5c1,
+  0xe5c2, 0xe5c3, 0xe5c4, 0xe5c5, 0xe5c6, 0xe5c7, 0xe5c8, 0xe5c9,
+  0xe5ca, 0xe5cb, 0xe5cc, 0xe5cd, 0xe5ce, 0xe5cf, 0xe5d0, 0xe5d1,
+  0xe5d2, 0xe5d3, 0xe5d4, 0xe5d5, 0xe5d6, 0xe5d7, 0xe5d8, 0xe5d9,
+  0xe5da, 0xe5db, 0xe5dc, 0xe5dd, 0xe5de, 0xe5df,
+  /* 0x7b */
+  0xe5e0, 0xe5e1, 0xe5e2, 0xe5e3, 0xe5e4, 0xe5e5, 0xe5e6, 0xe5e7,
+  0xe5e8, 0xe5e9, 0xe5ea, 0xe5eb, 0xe5ec, 0xe5ed, 0xe5ee, 0xe5ef,
+  0xe5f0, 0xe5f1, 0xe5f2, 0xe5f3, 0xe5f4, 0xe5f5, 0xe5f6, 0xe5f7,
+  0xe5f8, 0xe5f9, 0xe5fa, 0xe5fb, 0xe5fc, 0xe5fd, 0xe5fe, 0xe5ff,
+  0xe600, 0xe601, 0xe602, 0xe603, 0xe604, 0xe605, 0xe606, 0xe607,
+  0xe608, 0xe609, 0xe60a, 0xe60b, 0xe60c, 0xe60d, 0xe60e, 0xe60f,
+  0xe610, 0xe611, 0xe612, 0xe613, 0xe614, 0xe615, 0xe616, 0xe617,
+  0xe618, 0xe619, 0xe61a, 0xe61b, 0xe61c, 0xe61d, 0xe61e, 0xe61f,
+  0xe620, 0xe621, 0xe622, 0xe623, 0xe624, 0xe625, 0xe626, 0xe627,
+  0xe628, 0xe629, 0xe62a, 0xe62b, 0xe62c, 0xe62d, 0xe62e, 0xe62f,
+  0xe630, 0xe631, 0xe632, 0xe633, 0xe634, 0xe635, 0xe636, 0xe637,
+  0xe638, 0xe639, 0xe63a, 0xe63b, 0xe63c, 0xe63d,
+  /* 0x7c */
+  0xe63e, 0xe63f, 0xe640, 0xe641, 0xe642, 0xe643, 0xe644, 0xe645,
+  0xe646, 0xe647, 0xe648, 0xe649, 0xe64a, 0xe64b, 0xe64c, 0xe64d,
+  0xe64e, 0xe64f, 0xe650, 0xe651, 0xe652, 0xe653, 0xe654, 0xe655,
+  0xe656, 0xe657, 0xe658, 0xe659, 0xe65a, 0xe65b, 0xe65c, 0xe65d,
+  0xe65e, 0xe65f, 0xe660, 0xe661, 0xe662, 0xe663, 0xe664, 0xe665,
+  0xe666, 0xe667, 0xe668, 0xe669, 0xe66a, 0xe66b, 0xe66c, 0xe66d,
+  0xe66e, 0xe66f, 0xe670, 0xe671, 0xe672, 0xe673, 0xe674, 0xe675,
+  0xe676, 0xe677, 0xe678, 0xe679, 0xe67a, 0xe67b, 0xe67c, 0xe67d,
+  0xe67e, 0xe67f, 0xe680, 0xe681, 0xe682, 0xe683, 0xe684, 0xe685,
+  0xe686, 0xe687, 0xe688, 0xe689, 0xe68a, 0xe68b, 0xe68c, 0xe68d,
+  0xe68e, 0xe68f, 0xe690, 0xe691, 0xe692, 0xe693, 0xe694, 0xe695,
+  0xe696, 0xe697, 0xe698, 0xe699, 0xe69a, 0xe69b,
+  /* 0x7d */
+  0xe69c, 0xe69d, 0xe69e, 0xe69f, 0xe6a0, 0xe6a1, 0xe6a2, 0xe6a3,
+  0xe6a4, 0xe6a5, 0xe6a6, 0xe6a7, 0xe6a8, 0xe6a9, 0xe6aa, 0xe6ab,
+  0xe6ac, 0xe6ad, 0xe6ae, 0xe6af, 0xe6b0, 0xe6b1, 0xe6b2, 0xe6b3,
+  0xe6b4, 0xe6b5, 0xe6b6, 0xe6b7, 0xe6b8, 0xe6b9, 0xe6ba, 0xe6bb,
+  0xe6bc, 0xe6bd, 0xe6be, 0xe6bf, 0xe6c0, 0xe6c1, 0xe6c2, 0xe6c3,
+  0xe6c4, 0xe6c5, 0xe6c6, 0xe6c7, 0xe6c8, 0xe6c9, 0xe6ca, 0xe6cb,
+  0xe6cc, 0xe6cd, 0xe6ce, 0xe6cf, 0xe6d0, 0xe6d1, 0xe6d2, 0xe6d3,
+  0xe6d4, 0xe6d5, 0xe6d6, 0xe6d7, 0xe6d8, 0xe6d9, 0xe6da, 0xe6db,
+  0xe6dc, 0xe6dd, 0xe6de, 0xe6df, 0xe6e0, 0xe6e1, 0xe6e2, 0xe6e3,
+  0xe6e4, 0xe6e5, 0xe6e6, 0xe6e7, 0xe6e8, 0xe6e9, 0xe6ea, 0xe6eb,
+  0xe6ec, 0xe6ed, 0xe6ee, 0xe6ef, 0xe6f0, 0xe6f1, 0xe6f2, 0xe6f3,
+  0xe6f4, 0xe6f5, 0xe6f6, 0xe6f7, 0xe6f8, 0xe6f9,
+  /* 0x7e */
+  0xe6fa, 0xe6fb, 0xe6fc, 0xe6fd, 0xe6fe, 0xe6ff, 0xe700, 0xe701,
+  0xe702, 0xe703, 0xe704, 0xe705, 0xe706, 0xe707, 0xe708, 0xe709,
+  0xe70a, 0xe70b, 0xe70c, 0xe70d, 0xe70e, 0xe70f, 0xe710, 0xe711,
+  0xe712, 0xe713, 0xe714, 0xe715, 0xe716, 0xe717, 0xe718, 0xe719,
+  0xe71a, 0xe71b, 0xe71c, 0xe71d, 0xe71e, 0xe71f, 0xe720, 0xe721,
+  0xe722, 0xe723, 0xe724, 0xe725, 0xe726, 0xe727, 0xe728, 0xe729,
+  0xe72a, 0xe72b, 0xe72c, 0xe72d, 0xe72e, 0xe72f, 0xe730, 0xe731,
+  0xe732, 0xe733, 0xe734, 0xe735, 0xe736, 0xe737, 0xe738, 0xe739,
+  0xe73a, 0xe73b, 0xe73c, 0xe73d, 0xe73e, 0xe73f, 0xe740, 0xe741,
+  0xe742, 0xe743, 0xe744, 0xe745, 0xe746, 0xe747, 0xe748, 0xe749,
+  0xe74a, 0xe74b, 0xe74c, 0xe74d, 0xe74e, 0xe74f, 0xe750, 0xe751,
+  0xe752, 0xe753, 0xe754, 0xe755, 0xe756, 0xe757,
+};
+
+static int
+jisx0212vdc_mbtowc (conv_t conv, ucs4_t *pwc, const unsigned char *s, int n)
+{
+  unsigned char c1 = s[0];
+  if ((c1 == 0x22) || (c1 >= 0x30 && c1 <= 0x35) || (c1 >= 0x37 && c1 <= 0x55) || (c1 >= 0x57 && c1 <= 0x59) || (c1 >= 0x5c && c1 <= 0x6c) || (c1 >= 0x73 && c1 <= 0x7e)) {
+    if (n >= 2) {
+      unsigned char c2 = s[1];
+      if (c2 >= 0x21 && c2 < 0x7f) {
+        unsigned int i = 94 * (c1 - 0x21) + (c2 - 0x21);
+        unsigned short wc = 0xfffd;
+        if (i < 1410) {
+          if (i < 175)
+            wc = jisx0212vdc_2uni_page22[i-94];
+        } else if (i < 2068) {
+          if (i < 1952)
+            wc = jisx0212vdc_2uni_page30[i-1410];
+        } else if (i < 5076) {
+          if (i < 4902)
+            wc = jisx0212vdc_2uni_page37[i-2068];
+        } else if (i < 5546) {
+          if (i < 5313)
+            wc = jisx0212vdc_2uni_page57[i-5076];
+        } else if (i < 7708) {
+          if (i < 7104)
+            wc = jisx0212vdc_2uni_page5c[i-5546];
+        } else {
+          if (i < 8836)
+            wc = jisx0212vdc_2uni_page73[i-7708];
+        }
+        if (wc != 0xfffd) {
+          *pwc = (ucs4_t) wc;
+          return 2;
+        }
+      }
+      return RET_ILSEQ;
+    }
+    return RET_TOOFEW(0);
+  }
+  return RET_ILSEQ;
+}
+
+static const unsigned short jisx0212vdc_2charset[1326] = {
+  0x2243, 0x742c, 0x742d, 0x737d, 0x737e, 0x7421, 0x7422, 0x7423,
+  0x7424, 0x7425, 0x7426, 0x7427, 0x7428, 0x7373, 0x7374, 0x7375,
+  0x7376, 0x7377, 0x7378, 0x7379, 0x737a, 0x737b, 0x737c, 0x742b,
+  0x3029, 0x3048, 0x742f, 0x3052, 0x3054, 0x3063, 0x306e, 0x3123,
+  0x3127, 0x3129, 0x312c, 0x313b, 0x313e, 0x3148, 0x3157, 0x3158,
+  0x315f, 0x3161, 0x3163, 0x3174, 0x3223, 0x323b, 0x7430, 0x3266,
+  0x326d, 0x3275, 0x327c, 0x7431, 0x3335, 0x3358, 0x335b, 0x335d,
+  0x3365, 0x336e, 0x337b, 0x7432, 0x7433, 0x3440, 0x3447, 0x3450,
+  0x345e, 0x7435, 0x352a, 0x352f, 0x3544, 0x3568, 0x7436, 0x3742,
+  0x3764, 0x3767, 0x3768, 0x7439, 0x384e, 0x3861, 0x3875, 0x3877,
+  0x3878, 0x387c, 0x392f, 0x3937, 0x3a3e, 0x3a5b, 0x3a61, 0x743a,
+  0x3a6b, 0x3b33, 0x3b38, 0x743b, 0x3b4a, 0x3b50, 0x743c, 0x3b5e,
+  0x3b74, 0x3b75, 0x3b79, 0x3c64, 0x3c6d, 0x3c74, 0x3c7e, 0x743e,
+  0x3d42, 0x3d67, 0x743f, 0x3d70, 0x3e2c, 0x3e30, 0x3e33, 0x3e3d,
+  0x7440, 0x3e49, 0x3e4d, 0x3e64, 0x3f28, 0x3f49, 0x4044, 0x4064,
+  0x4074, 0x4126, 0x7441, 0x4175, 0x4178, 0x417c, 0x4221, 0x4225,
+  0x422b, 0x422d, 0x7442, 0x4238, 0x423a, 0x7443, 0x4244, 0x4252,
+  0x4257, 0x425b, 0x425e, 0x426d, 0x423f, 0x4270, 0x4321, 0x4335,
+  0x4339, 0x7446, 0x4358, 0x4349, 0x437c, 0x437e, 0x444c, 0x4459,
+  0x446a, 0x447d, 0x4527, 0x7449, 0x4535, 0x4536, 0x744a, 0x4555,
+  0x4638, 0x4657, 0x4660, 0x4663, 0x466a, 0x4721, 0x472b, 0x4743,
+  0x4747, 0x474b, 0x474f, 0x4759, 0x744c, 0x744b, 0x4766, 0x476b,
+  0x476e, 0x4770, 0x477c, 0x4831, 0x4865, 0x4878, 0x4926, 0x492b,
+  0x492d, 0x744d, 0x494a, 0x4953, 0x742e, 0x4963, 0x4969, 0x4974,
+  0x4975, 0x497c, 0x4a33, 0x4a3d, 0x4a6f, 0x4a71, 0x4b2e, 0x4b4a,
+  0x4b66, 0x4b6a, 0x4b6e, 0x4b70, 0x4b74, 0x4b79, 0x4c25, 0x4c2b,
+  0x4c2d, 0x4c2e, 0x4c32, 0x4c42, 0x4c50, 0x4c59, 0x7450, 0x4d2a,
+  0x4d3b, 0x7451, 0x4e3a, 0x4e3b, 0x7452, 0x4e43, 0x4e72, 0x4f55,
+  0x4f62, 0x4f69, 0x4f6d, 0x7454, 0x5065, 0x5069, 0x5168, 0x7459,
+  0x516c, 0x523b, 0x5361, 0x5368, 0x745c, 0x5427, 0x745d, 0x5454,
+  0x5463, 0x5472, 0x552e, 0x575e, 0x745f, 0x5822, 0x5837, 0x5841,
+  0x5851, 0x5874, 0x5921, 0x5946, 0x5948, 0x5951, 0x7461, 0x7464,
+  0x5c53, 0x5c5f, 0x5d48, 0x5d54, 0x5d6a, 0x5d7a, 0x5e24, 0x5e30,
+  0x5e35, 0x5e4b, 0x7466, 0x5f39, 0x7467, 0x5f43, 0x7468, 0x6059,
+  0x6162, 0x746c, 0x746e, 0x6247, 0x6326, 0x6328, 0x6329, 0x632a,
+  0x632b, 0x632f, 0x6330, 0x633c, 0x633f, 0x6341, 0x6354, 0x6355,
+  0x6356, 0x6358, 0x635f, 0x6361, 0x6363, 0x6369, 0x6371, 0x6372,
+  0x6378, 0x6426, 0x643e, 0x643f, 0x6440, 0x6441, 0x6443, 0x6447,
+  0x644b, 0x6450, 0x6451, 0x6452, 0x6454, 0x645b, 0x645c, 0x645e,
+  0x6460, 0x6469, 0x646f, 0x647a, 0x6533, 0x653f, 0x6549, 0x6550,
+  0x6562, 0x656a, 0x656b, 0x7471, 0x6668, 0x666f, 0x672c, 0x7474,
+  0x672e, 0x7475, 0x6731, 0x7476, 0x6732, 0x6831, 0x6836, 0x685d,
+  0x747a, 0x6951, 0x747b, 0x696d, 0x747c, 0x6a4d, 0x6a5b, 0x6a66,
+  0x6a6a, 0x6b25, 0x6b7a, 0x6b7b, 0x6c56, 0x747e, 0x7521, 0x7522,
+  0x7523, 0x7524, 0x7525, 0x7526, 0x7527, 0x7528, 0x7529, 0x752a,
+  0x752b, 0x752c, 0x752d, 0x752e, 0x752f, 0x7530, 0x7531, 0x7532,
+  0x7533, 0x7534, 0x7535, 0x7536, 0x7537, 0x7538, 0x7539, 0x753a,
+  0x753b, 0x753c, 0x753d, 0x753e, 0x753f, 0x7540, 0x7541, 0x7542,
+  0x7543, 0x7544, 0x7545, 0x7546, 0x7547, 0x7548, 0x7549, 0x754a,
+  0x754b, 0x754c, 0x754d, 0x754e, 0x754f, 0x7550, 0x7551, 0x7552,
+  0x7553, 0x7554, 0x7555, 0x7556, 0x7557, 0x7558, 0x7559, 0x755a,
+  0x755b, 0x755c, 0x755d, 0x755e, 0x755f, 0x7560, 0x7561, 0x7562,
+  0x7563, 0x7564, 0x7565, 0x7566, 0x7567, 0x7568, 0x7569, 0x756a,
+  0x756b, 0x756c, 0x756d, 0x756e, 0x756f, 0x7570, 0x7571, 0x7572,
+  0x7573, 0x7574, 0x7575, 0x7576, 0x7577, 0x7578, 0x7579, 0x757a,
+  0x757b, 0x757c, 0x757d, 0x757e, 0x7621, 0x7622, 0x7623, 0x7624,
+  0x7625, 0x7626, 0x7627, 0x7628, 0x7629, 0x762a, 0x762b, 0x762c,
+  0x762d, 0x762e, 0x762f, 0x7630, 0x7631, 0x7632, 0x7633, 0x7634,
+  0x7635, 0x7636, 0x7637, 0x7638, 0x7639, 0x763a, 0x763b, 0x763c,
+  0x763d, 0x763e, 0x763f, 0x7640, 0x7641, 0x7642, 0x7643, 0x7644,
+  0x7645, 0x7646, 0x7647, 0x7648, 0x7649, 0x764a, 0x764b, 0x764c,
+  0x764d, 0x764e, 0x764f, 0x7650, 0x7651, 0x7652, 0x7653, 0x7654,
+  0x7655, 0x7656, 0x7657, 0x7658, 0x7659, 0x765a, 0x765b, 0x765c,
+  0x765d, 0x765e, 0x765f, 0x7660, 0x7661, 0x7662, 0x7663, 0x7664,
+  0x7665, 0x7666, 0x7667, 0x7668, 0x7669, 0x766a, 0x766b, 0x766c,
+  0x766d, 0x766e, 0x766f, 0x7670, 0x7671, 0x7672, 0x7673, 0x7674,
+  0x7675, 0x7676, 0x7677, 0x7678, 0x7679, 0x767a, 0x767b, 0x767c,
+  0x767d, 0x767e, 0x7721, 0x7722, 0x7723, 0x7724, 0x7725, 0x7726,
+  0x7727, 0x7728, 0x7729, 0x772a, 0x772b, 0x772c, 0x772d, 0x772e,
+  0x772f, 0x7730, 0x7731, 0x7732, 0x7733, 0x7734, 0x7735, 0x7736,
+  0x7737, 0x7738, 0x7739, 0x773a, 0x773b, 0x773c, 0x773d, 0x773e,
+  0x773f, 0x7740, 0x7741, 0x7742, 0x7743, 0x7744, 0x7745, 0x7746,
+  0x7747, 0x7748, 0x7749, 0x774a, 0x774b, 0x774c, 0x774d, 0x774e,
+  0x774f, 0x7750, 0x7751, 0x7752, 0x7753, 0x7754, 0x7755, 0x7756,
+  0x7757, 0x7758, 0x7759, 0x775a, 0x775b, 0x775c, 0x775d, 0x775e,
+  0x775f, 0x7760, 0x7761, 0x7762, 0x7763, 0x7764, 0x7765, 0x7766,
+  0x7767, 0x7768, 0x7769, 0x776a, 0x776b, 0x776c, 0x776d, 0x776e,
+  0x776f, 0x7770, 0x7771, 0x7772, 0x7773, 0x7774, 0x7775, 0x7776,
+  0x7777, 0x7778, 0x7779, 0x777a, 0x777b, 0x777c, 0x777d, 0x777e,
+  0x7821, 0x7822, 0x7823, 0x7824, 0x7825, 0x7826, 0x7827, 0x7828,
+  0x7829, 0x782a, 0x782b, 0x782c, 0x782d, 0x782e, 0x782f, 0x7830,
+  0x7831, 0x7832, 0x7833, 0x7834, 0x7835, 0x7836, 0x7837, 0x7838,
+  0x7839, 0x783a, 0x783b, 0x783c, 0x783d, 0x783e, 0x783f, 0x7840,
+  0x7841, 0x7842, 0x7843, 0x7844, 0x7845, 0x7846, 0x7847, 0x7848,
+  0x7849, 0x784a, 0x784b, 0x784c, 0x784d, 0x784e, 0x784f, 0x7850,
+  0x7851, 0x7852, 0x7853, 0x7854, 0x7855, 0x7856, 0x7857, 0x7858,
+  0x7859, 0x785a, 0x785b, 0x785c, 0x785d, 0x785e, 0x785f, 0x7860,
+  0x7861, 0x7862, 0x7863, 0x7864, 0x7865, 0x7866, 0x7867, 0x7868,
+  0x7869, 0x786a, 0x786b, 0x786c, 0x786d, 0x786e, 0x786f, 0x7870,
+  0x7871, 0x7872, 0x7873, 0x7874, 0x7875, 0x7876, 0x7877, 0x7878,
+  0x7879, 0x787a, 0x787b, 0x787c, 0x787d, 0x787e, 0x7921, 0x7922,
+  0x7923, 0x7924, 0x7925, 0x7926, 0x7927, 0x7928, 0x7929, 0x792a,
+  0x792b, 0x792c, 0x792d, 0x792e, 0x792f, 0x7930, 0x7931, 0x7932,
+  0x7933, 0x7934, 0x7935, 0x7936, 0x7937, 0x7938, 0x7939, 0x793a,
+  0x793b, 0x793c, 0x793d, 0x793e, 0x793f, 0x7940, 0x7941, 0x7942,
+  0x7943, 0x7944, 0x7945, 0x7946, 0x7947, 0x7948, 0x7949, 0x794a,
+  0x794b, 0x794c, 0x794d, 0x794e, 0x794f, 0x7950, 0x7951, 0x7952,
+  0x7953, 0x7954, 0x7955, 0x7956, 0x7957, 0x7958, 0x7959, 0x795a,
+  0x795b, 0x795c, 0x795d, 0x795e, 0x795f, 0x7960, 0x7961, 0x7962,
+  0x7963, 0x7964, 0x7965, 0x7966, 0x7967, 0x7968, 0x7969, 0x796a,
+  0x796b, 0x796c, 0x796d, 0x796e, 0x796f, 0x7970, 0x7971, 0x7972,
+  0x7973, 0x7974, 0x7975, 0x7976, 0x7977, 0x7978, 0x7979, 0x797a,
+  0x797b, 0x797c, 0x797d, 0x797e, 0x7a21, 0x7a22, 0x7a23, 0x7a24,
+  0x7a25, 0x7a26, 0x7a27, 0x7a28, 0x7a29, 0x7a2a, 0x7a2b, 0x7a2c,
+  0x7a2d, 0x7a2e, 0x7a2f, 0x7a30, 0x7a31, 0x7a32, 0x7a33, 0x7a34,
+  0x7a35, 0x7a36, 0x7a37, 0x7a38, 0x7a39, 0x7a3a, 0x7a3b, 0x7a3c,
+  0x7a3d, 0x7a3e, 0x7a3f, 0x7a40, 0x7a41, 0x7a42, 0x7a43, 0x7a44,
+  0x7a45, 0x7a46, 0x7a47, 0x7a48, 0x7a49, 0x7a4a, 0x7a4b, 0x7a4c,
+  0x7a4d, 0x7a4e, 0x7a4f, 0x7a50, 0x7a51, 0x7a52, 0x7a53, 0x7a54,
+  0x7a55, 0x7a56, 0x7a57, 0x7a58, 0x7a59, 0x7a5a, 0x7a5b, 0x7a5c,
+  0x7a5d, 0x7a5e, 0x7a5f, 0x7a60, 0x7a61, 0x7a62, 0x7a63, 0x7a64,
+  0x7a65, 0x7a66, 0x7a67, 0x7a68, 0x7a69, 0x7a6a, 0x7a6b, 0x7a6c,
+  0x7a6d, 0x7a6e, 0x7a6f, 0x7a70, 0x7a71, 0x7a72, 0x7a73, 0x7a74,
+  0x7a75, 0x7a76, 0x7a77, 0x7a78, 0x7a79, 0x7a7a, 0x7a7b, 0x7a7c,
+  0x7a7d, 0x7a7e, 0x7b21, 0x7b22, 0x7b23, 0x7b24, 0x7b25, 0x7b26,
+  0x7b27, 0x7b28, 0x7b29, 0x7b2a, 0x7b2b, 0x7b2c, 0x7b2d, 0x7b2e,
+  0x7b2f, 0x7b30, 0x7b31, 0x7b32, 0x7b33, 0x7b34, 0x7b35, 0x7b36,
+  0x7b37, 0x7b38, 0x7b39, 0x7b3a, 0x7b3b, 0x7b3c, 0x7b3d, 0x7b3e,
+  0x7b3f, 0x7b40, 0x7b41, 0x7b42, 0x7b43, 0x7b44, 0x7b45, 0x7b46,
+  0x7b47, 0x7b48, 0x7b49, 0x7b4a, 0x7b4b, 0x7b4c, 0x7b4d, 0x7b4e,
+  0x7b4f, 0x7b50, 0x7b51, 0x7b52, 0x7b53, 0x7b54, 0x7b55, 0x7b56,
+  0x7b57, 0x7b58, 0x7b59, 0x7b5a, 0x7b5b, 0x7b5c, 0x7b5d, 0x7b5e,
+  0x7b5f, 0x7b60, 0x7b61, 0x7b62, 0x7b63, 0x7b64, 0x7b65, 0x7b66,
+  0x7b67, 0x7b68, 0x7b69, 0x7b6a, 0x7b6b, 0x7b6c, 0x7b6d, 0x7b6e,
+  0x7b6f, 0x7b70, 0x7b71, 0x7b72, 0x7b73, 0x7b74, 0x7b75, 0x7b76,
+  0x7b77, 0x7b78, 0x7b79, 0x7b7a, 0x7b7b, 0x7b7c, 0x7b7d, 0x7b7e,
+  0x7c21, 0x7c22, 0x7c23, 0x7c24, 0x7c25, 0x7c26, 0x7c27, 0x7c28,
+  0x7c29, 0x7c2a, 0x7c2b, 0x7c2c, 0x7c2d, 0x7c2e, 0x7c2f, 0x7c30,
+  0x7c31, 0x7c32, 0x7c33, 0x7c34, 0x7c35, 0x7c36, 0x7c37, 0x7c38,
+  0x7c39, 0x7c3a, 0x7c3b, 0x7c3c, 0x7c3d, 0x7c3e, 0x7c3f, 0x7c40,
+  0x7c41, 0x7c42, 0x7c43, 0x7c44, 0x7c45, 0x7c46, 0x7c47, 0x7c48,
+  0x7c49, 0x7c4a, 0x7c4b, 0x7c4c, 0x7c4d, 0x7c4e, 0x7c4f, 0x7c50,
+  0x7c51, 0x7c52, 0x7c53, 0x7c54, 0x7c55, 0x7c56, 0x7c57, 0x7c58,
+  0x7c59, 0x7c5a, 0x7c5b, 0x7c5c, 0x7c5d, 0x7c5e, 0x7c5f, 0x7c60,
+  0x7c61, 0x7c62, 0x7c63, 0x7c64, 0x7c65, 0x7c66, 0x7c67, 0x7c68,
+  0x7c69, 0x7c6a, 0x7c6b, 0x7c6c, 0x7c6d, 0x7c6e, 0x7c6f, 0x7c70,
+  0x7c71, 0x7c72, 0x7c73, 0x7c74, 0x7c75, 0x7c76, 0x7c77, 0x7c78,
+  0x7c79, 0x7c7a, 0x7c7b, 0x7c7c, 0x7c7d, 0x7c7e, 0x7d21, 0x7d22,
+  0x7d23, 0x7d24, 0x7d25, 0x7d26, 0x7d27, 0x7d28, 0x7d29, 0x7d2a,
+  0x7d2b, 0x7d2c, 0x7d2d, 0x7d2e, 0x7d2f, 0x7d30, 0x7d31, 0x7d32,
+  0x7d33, 0x7d34, 0x7d35, 0x7d36, 0x7d37, 0x7d38, 0x7d39, 0x7d3a,
+  0x7d3b, 0x7d3c, 0x7d3d, 0x7d3e, 0x7d3f, 0x7d40, 0x7d41, 0x7d42,
+  0x7d43, 0x7d44, 0x7d45, 0x7d46, 0x7d47, 0x7d48, 0x7d49, 0x7d4a,
+  0x7d4b, 0x7d4c, 0x7d4d, 0x7d4e, 0x7d4f, 0x7d50, 0x7d51, 0x7d52,
+  0x7d53, 0x7d54, 0x7d55, 0x7d56, 0x7d57, 0x7d58, 0x7d59, 0x7d5a,
+  0x7d5b, 0x7d5c, 0x7d5d, 0x7d5e, 0x7d5f, 0x7d60, 0x7d61, 0x7d62,
+  0x7d63, 0x7d64, 0x7d65, 0x7d66, 0x7d67, 0x7d68, 0x7d69, 0x7d6a,
+  0x7d6b, 0x7d6c, 0x7d6d, 0x7d6e, 0x7d6f, 0x7d70, 0x7d71, 0x7d72,
+  0x7d73, 0x7d74, 0x7d75, 0x7d76, 0x7d77, 0x7d78, 0x7d79, 0x7d7a,
+  0x7d7b, 0x7d7c, 0x7d7d, 0x7d7e, 0x7e21, 0x7e22, 0x7e23, 0x7e24,
+  0x7e25, 0x7e26, 0x7e27, 0x7e28, 0x7e29, 0x7e2a, 0x7e2b, 0x7e2c,
+  0x7e2d, 0x7e2e, 0x7e2f, 0x7e30, 0x7e31, 0x7e32, 0x7e33, 0x7e34,
+  0x7e35, 0x7e36, 0x7e37, 0x7e38, 0x7e39, 0x7e3a, 0x7e3b, 0x7e3c,
+  0x7e3d, 0x7e3e, 0x7e3f, 0x7e40, 0x7e41, 0x7e42, 0x7e43, 0x7e44,
+  0x7e45, 0x7e46, 0x7e47, 0x7e48, 0x7e49, 0x7e4a, 0x7e4b, 0x7e4c,
+  0x7e4d, 0x7e4e, 0x7e4f, 0x7e50, 0x7e51, 0x7e52, 0x7e53, 0x7e54,
+  0x7e55, 0x7e56, 0x7e57, 0x7e58, 0x7e59, 0x7e5a, 0x7e5b, 0x7e5c,
+  0x7e5d, 0x7e5e, 0x7e5f, 0x7e60, 0x7e61, 0x7e62, 0x7e63, 0x7e64,
+  0x7e65, 0x7e66, 0x7e67, 0x7e68, 0x7e69, 0x7e6a, 0x7e6b, 0x7e6c,
+  0x7e6d, 0x7e6e, 0x7e6f, 0x7e70, 0x7e71, 0x7e72, 0x7e73, 0x7e74,
+  0x7e75, 0x7e76, 0x7e77, 0x7e78, 0x7e79, 0x7e7a, 0x7e7b, 0x7e7c,
+  0x7e7d, 0x7e7e, 0x7445, 0x7472, 0x7434, 0x7437, 0x7438, 0x743d,
+  0x7444, 0x7447, 0x7448, 0x744e, 0x744f, 0x7453, 0x7455, 0x7456,
+  0x7457, 0x7458, 0x745a, 0x745b, 0x745e, 0x7460, 0x7462, 0x7463,
+  0x7465, 0x7469, 0x746a, 0x746b, 0x746d, 0x746f, 0x7470, 0x7473,
+  0x7477, 0x7478, 0x7479, 0x747d, 0x742a, 0x7429,
+};
+
+static const Summary16 jisx0212vdc_uni2indx_page00[11] = {
+  /* 0x0000 */
+  {    0, 0x0000 }, {    0, 0x0000 }, {    0, 0x0000 }, {    0, 0x0000 },
+  {    0, 0x0000 }, {    0, 0x0000 }, {    0, 0x0000 }, {    0, 0x0000 },
+  {    0, 0x0000 }, {    0, 0x0000 }, {    0, 0x0040 },
+};
+static const Summary16 jisx0212vdc_uni2indx_page21[8] = {
+  /* 0x2100 */
+  {    1, 0x0000 }, {    1, 0x0040 }, {    2, 0x0002 }, {    3, 0x0000 },
+  {    3, 0x0000 }, {    3, 0x0000 }, {    3, 0x03ff }, {   13, 0x03ff },
+};
+static const Summary16 jisx0212vdc_uni2indx_page32[4] = {
+  /* 0x3200 */
+  {   23, 0x0000 }, {   23, 0x0000 }, {   23, 0x0000 }, {   23, 0x0002 },
+};
+static const Summary16 jisx0212vdc_uni2indx_page4e[121] = {
+  /* 0x4e00 */
+  {   24, 0x0000 }, {   24, 0x0000 }, {   24, 0x0100 }, {   25, 0x0000 },
+  {   25, 0x0000 }, {   25, 0x0000 }, {   25, 0x0000 }, {   25, 0x0000 },
+  {   25, 0x0000 }, {   25, 0x0000 }, {   25, 0x0000 }, {   25, 0x0000 },
+  {   25, 0x0000 }, {   25, 0x0000 }, {   25, 0x0002 }, {   26, 0x1000 },
+  /* 0x4f00 */
+  {   27, 0x0009 }, {   29, 0x0000 }, {   29, 0x0000 }, {   29, 0x0200 },
+  {   30, 0x0000 }, {   30, 0x0040 }, {   31, 0x0000 }, {   31, 0x0000 },
+  {   31, 0x0400 }, {   32, 0x0414 }, {   35, 0x0000 }, {   35, 0x0000 },
+  {   35, 0x2200 }, {   37, 0x0000 }, {   37, 0x0000 }, {   37, 0x8000 },
+  /* 0x5000 */
+  {   38, 0x0000 }, {   38, 0x4000 }, {   39, 0x0004 }, {   40, 0x0000 },
+  {   40, 0x0045 }, {   43, 0x0000 }, {   43, 0x0000 }, {   43, 0x0001 },
+  {   44, 0x0000 }, {   44, 0x0010 }, {   45, 0x0000 }, {   45, 0x0000 },
+  {   45, 0x0000 }, {   45, 0x0100 }, {   46, 0x0000 }, {   46, 0x0010 },
+  /* 0x5100 */
+  {   47, 0x0000 }, {   47, 0x0000 }, {   47, 0x0000 }, {   47, 0x0000 },
+  {   47, 0x0400 }, {   48, 0x0000 }, {   48, 0x0010 }, {   49, 0x0000 },
+  {   49, 0x0000 }, {   49, 0x2000 }, {   50, 0x0000 }, {   50, 0x4000 },
+  {   51, 0x0000 }, {   51, 0x0000 }, {   51, 0x1000 }, {   52, 0x0000 },
+  /* 0x5200 */
+  {   52, 0x0000 }, {   52, 0x0020 }, {   53, 0x0000 }, {   53, 0x0000 },
+  {   53, 0x0000 }, {   53, 0x0000 }, {   53, 0x0000 }, {   53, 0x0000 },
+  {   53, 0x0000 }, {   53, 0x1000 }, {   54, 0x8040 }, {   56, 0x0000 },
+  {   56, 0x0001 }, {   57, 0x0800 }, {   58, 0x0000 }, {   58, 0x0000 },
+  /* 0x5300 */
+  {   58, 0x0081 }, {   60, 0x0000 }, {   60, 0x0010 }, {   61, 0x0000 },
+  {   61, 0x0000 }, {   61, 0x0000 }, {   61, 0x0000 }, {   61, 0x0004 },
+  {   62, 0x0000 }, {   62, 0x0008 }, {   63, 0x0000 }, {   63, 0x0004 },
+  {   64, 0x0000 }, {   64, 0x2000 }, {   65, 0x0000 }, {   65, 0x0000 },
+  /* 0x5400 */
+  {   65, 0x0000 }, {   65, 0x0000 }, {   65, 0x0000 }, {   65, 0x0000 },
+  {   65, 0x0000 }, {   65, 0x0000 }, {   65, 0x0000 }, {   65, 0x0000 },
+  {   65, 0x0400 }, {   66, 0x1000 }, {   67, 0x0200 }, {   68, 0x0000 },
+  {   68, 0x0000 }, {   68, 0x0000 }, {   68, 0x0000 }, {   68, 0x8000 },
+  /* 0x5500 */
+  {   69, 0x0000 }, {   69, 0x0000 }, {   69, 0x0000 }, {   69, 0x0000 },
+  {   69, 0x0000 }, {   69, 0x0000 }, {   69, 0x0000 }, {   69, 0x0000 },
+  {   69, 0x0040 },
+};
+static const Summary16 jisx0212vdc_uni2indx_page57[44] = {
+  /* 0x5700 */
+  {   70, 0x0000 }, {   70, 0x0000 }, {   70, 0x0000 }, {   70, 0x0000 },
+  {   70, 0x0000 }, {   70, 0x0200 }, {   71, 0x0020 }, {   72, 0x0000 },
+  {   72, 0x0000 }, {   72, 0x0000 }, {   72, 0x1000 }, {   73, 0x0000 },
+  {   73, 0x0180 }, {   75, 0x0000 }, {   75, 0x0000 }, {   75, 0x0000 },
+  /* 0x5800 */
+  {   75, 0x0000 }, {   75, 0x0000 }, {   75, 0x0000 }, {   75, 0x0000 },
+  {   75, 0x0000 }, {   75, 0x0000 }, {   75, 0x0000 }, {   75, 0x0000 },
+  {   75, 0x0000 }, {   75, 0x4000 }, {   76, 0x0000 }, {   76, 0x0004 },
+  {   77, 0x0000 }, {   77, 0x0000 }, {   77, 0x0000 }, {   77, 0x0000 },
+  /* 0x5900 */
+  {   77, 0x0800 }, {   78, 0x0000 }, {   78, 0x0000 }, {   78, 0x0000 },
+  {   78, 0x0000 }, {   78, 0x2808 }, {   81, 0x0008 }, {   82, 0x0000 },
+  {   82, 0x0000 }, {   82, 0x0000 }, {   82, 0x0010 }, {   83, 0x0400 },
+};
+static const Summary16 jisx0212vdc_uni2indx_page5b[46] = {
+  /* 0x5b00 */
+  {   84, 0x0000 }, {   84, 0x0000 }, {   84, 0x0000 }, {   84, 0x0000 },
+  {   84, 0x0000 }, {   84, 0x0040 }, {   85, 0x0000 }, {   85, 0x0000 },
+  {   85, 0x0000 }, {   85, 0x0000 }, {   85, 0x0000 }, {   85, 0x0000 },
+  {   85, 0x0001 }, {   86, 0x0100 }, {   87, 0x1000 }, {   88, 0x0000 },
+  /* 0x5c00 */
+  {   88, 0x0000 }, {   88, 0x4000 }, {   89, 0x0000 }, {   89, 0x0000 },
+  {   89, 0x0000 }, {   89, 0x0000 }, {   89, 0x0000 }, {   89, 0x0000 },
+  {   89, 0x0000 }, {   89, 0x0000 }, {   89, 0x0040 }, {   90, 0x0400 },
+  {   91, 0x0000 }, {   91, 0x0000 }, {   91, 0x0000 }, {   91, 0x0020 },
+  /* 0x5d00 */
+  {   92, 0x0000 }, {   92, 0x0000 }, {   92, 0x0080 }, {   93, 0x0000 },
+  {   93, 0x0004 }, {   94, 0x0008 }, {   95, 0x2000 }, {   96, 0x0000 },
+  {   96, 0x0000 }, {   96, 0x0000 }, {   96, 0x0000 }, {   96, 0x0300 },
+  {   98, 0x0000 }, {   98, 0x0001 },
+};
+static const Summary16 jisx0212vdc_uni2indx_page5f[458] = {
+  /* 0x5f00 */
+  {   99, 0x0000 }, {   99, 0x0000 }, {   99, 0x0002 }, {  100, 0x0010 },
+  {  101, 0x0020 }, {  102, 0x0000 }, {  102, 0x0080 }, {  103, 0x0000 },
+  {  103, 0x0000 }, {  103, 0x0000 }, {  103, 0x0000 }, {  103, 0x0080 },
+  {  104, 0x0000 }, {  104, 0x4000 }, {  105, 0x0000 }, {  105, 0x0000 },
+  /* 0x6000 */
+  {  105, 0x0000 }, {  105, 0x0000 }, {  105, 0x0000 }, {  105, 0x0000 },
+  {  105, 0x0000 }, {  105, 0x2000 }, {  106, 0x0000 }, {  106, 0x0000 },
+  {  106, 0x0420 }, {  108, 0x0000 }, {  108, 0x0000 }, {  108, 0x0000 },
+  {  108, 0x0000 }, {  108, 0x4020 }, {  110, 0x0000 }, {  110, 0x0004 },
+  /* 0x6100 */
+  {  111, 0x0000 }, {  111, 0x0002 }, {  112, 0x0001 }, {  113, 0x0081 },
+  {  115, 0x0000 }, {  115, 0x0000 }, {  115, 0x0000 }, {  115, 0x0000 },
+  {  115, 0x0000 }, {  115, 0x0100 }, {  116, 0x0000 }, {  116, 0x0000 },
+  {  116, 0x0000 }, {  116, 0x0000 }, {  116, 0x0000 }, {  116, 0x0000 },
+  /* 0x6200 */
+  {  116, 0x0000 }, {  116, 0x0008 }, {  117, 0x0000 }, {  117, 0x0000 },
+  {  117, 0x0000 }, {  117, 0x0000 }, {  117, 0x0000 }, {  117, 0x0000 },
+  {  117, 0x0000 }, {  117, 0x0000 }, {  117, 0x0040 }, {  118, 0x0000 },
+  {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0000 },
+  /* 0x6300 */
+  {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0000 },
+  {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0000 },
+  {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0000 },
+  {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0000 }, {  118, 0x0020 },
+  /* 0x6400 */
+  {  119, 0x0000 }, {  119, 0x0000 }, {  119, 0x0000 }, {  119, 0x0000 },
+  {  119, 0x0000 }, {  119, 0x0000 }, {  119, 0x0001 }, {  120, 0x0000 },
+  {  120, 0x0000 }, {  120, 0x2000 }, {  121, 0x0000 }, {  121, 0x0000 },
+  {  121, 0x4000 }, {  122, 0x0000 }, {  122, 0x0000 }, {  122, 0x0000 },
+  /* 0x6500 */
+  {  122, 0x0000 }, {  122, 0x0000 }, {  122, 0x0000 }, {  122, 0x0000 },
+  {  122, 0x4000 }, {  123, 0x0000 }, {  123, 0x0000 }, {  123, 0x0000 },
+  {  123, 0x0000 }, {  123, 0x0000 }, {  123, 0x0000 }, {  123, 0x0000 },
+  {  123, 0x0000 }, {  123, 0x0000 }, {  123, 0x0000 }, {  123, 0x0000 },
+  /* 0x6600 */
+  {  123, 0x0201 }, {  125, 0x4020 }, {  127, 0x4010 }, {  129, 0x0802 },
+  {  131, 0x0000 }, {  131, 0x0280 }, {  133, 0x0020 }, {  134, 0x0008 },
+  {  135, 0x0000 }, {  135, 0x0200 }, {  136, 0x0001 }, {  137, 0x8004 },
+  {  139, 0x0000 }, {  139, 0x0000 }, {  139, 0x0000 }, {  139, 0x0c00 },
+  /* 0x6700 */
+  {  141, 0x4000 }, {  142, 0x0000 }, {  142, 0x0000 }, {  142, 0x0000 },
+  {  142, 0x0000 }, {  142, 0x0000 }, {  142, 0x0040 }, {  143, 0x0000 },
+  {  143, 0x0000 }, {  143, 0x0000 }, {  143, 0x0000 }, {  143, 0x0800 },
+  {  144, 0x0001 }, {  145, 0x0000 }, {  145, 0x0000 }, {  145, 0x0000 },
+  /* 0x6800 */
+  {  145, 0x0002 }, {  146, 0x0000 }, {  146, 0x0000 }, {  146, 0x0000 },
+  {  146, 0x0010 }, {  147, 0x0004 }, {  148, 0x0000 }, {  148, 0x0000 },
+  {  148, 0x0000 }, {  148, 0x0000 }, {  148, 0x0000 }, {  148, 0x0000 },
+  {  148, 0x8100 }, {  150, 0x0000 }, {  150, 0x0000 }, {  150, 0x0000 },
+  /* 0x6900 */
+  {  150, 0x0000 }, {  150, 0x0000 }, {  150, 0x0000 }, {  150, 0x0000 },
+  {  150, 0x0000 }, {  150, 0x0000 }, {  150, 0x0100 }, {  151, 0x0000 },
+  {  151, 0x0000 }, {  151, 0x0100 }, {  152, 0x0000 }, {  152, 0x0000 },
+  {  152, 0x0000 }, {  152, 0x0000 }, {  152, 0x0004 }, {  153, 0x0000 },
+  /* 0x6a00 */
+  {  153, 0x0000 }, {  153, 0x0000 }, {  153, 0x0000 }, {  153, 0x0001 },
+  {  154, 0x0040 }, {  155, 0x0000 }, {  155, 0x0800 }, {  156, 0x4008 },
+  {  158, 0x0000 }, {  158, 0x0000 }, {  158, 0x0000 }, {  158, 0x0000 },
+  {  158, 0x0000 }, {  158, 0x0000 }, {  158, 0x0014 }, {  160, 0x0000 },
+  /* 0x6b00 */
+  {  160, 0x0000 }, {  160, 0x0000 }, {  160, 0x0000 }, {  160, 0x0000 },
+  {  160, 0x0000 }, {  160, 0x0000 }, {  160, 0x0000 }, {  160, 0x0000 },
+  {  160, 0x0000 }, {  160, 0x0000 }, {  160, 0x0000 }, {  160, 0x0000 },
+  {  160, 0x0000 }, {  160, 0x0040 }, {  161, 0x0000 }, {  161, 0x0000 },
+  /* 0x6c00 */
+  {  161, 0x0000 }, {  161, 0x0000 }, {  161, 0x0000 }, {  161, 0x8000 },
+  {  162, 0x0000 }, {  162, 0x1000 }, {  163, 0x8000 }, {  164, 0x0000 },
+  {  164, 0x0040 }, {  165, 0x0000 }, {  165, 0x0000 }, {  165, 0x0000 },
+  {  165, 0x0000 }, {  165, 0x0400 }, {  166, 0x0000 }, {  166, 0x0000 },
+  /* 0x6d00 */
+  {  166, 0x0010 }, {  167, 0x0000 }, {  167, 0x0000 }, {  167, 0x0000 },
+  {  167, 0x0000 }, {  167, 0x0000 }, {  167, 0x8000 }, {  168, 0x0000 },
+  {  168, 0x0080 }, {  169, 0x0040 }, {  170, 0x1000 }, {  171, 0x0000 },
+  {  171, 0x8000 }, {  172, 0x0000 }, {  172, 0x0000 }, {  172, 0x1104 },
+  /* 0x6e00 */
+  {  175, 0x0000 }, {  175, 0x0000 }, {  175, 0x0080 }, {  176, 0x1200 },
+  {  178, 0x0000 }, {  178, 0x1000 }, {  179, 0x0000 }, {  179, 0x0000 },
+  {  179, 0x0000 }, {  179, 0x0000 }, {  179, 0x0000 }, {  179, 0x8000 },
+  {  180, 0x0000 }, {  180, 0x0000 }, {  180, 0x0000 }, {  180, 0x0000 },
+  /* 0x6f00 */
+  {  180, 0x0000 }, {  180, 0x0000 }, {  180, 0x0000 }, {  180, 0x0000 },
+  {  180, 0x0000 }, {  180, 0x0000 }, {  180, 0x0000 }, {  180, 0x0000 },
+  {  180, 0x0100 }, {  181, 0x0000 }, {  181, 0x0000 }, {  181, 0x0020 },
+  {  182, 0x0000 }, {  182, 0x0000 }, {  182, 0x0000 }, {  182, 0x0020 },
+  /* 0x7000 */
+  {  183, 0x00a0 }, {  185, 0x0000 }, {  185, 0x0100 }, {  186, 0x0000 },
+  {  186, 0x0000 }, {  186, 0x0000 }, {  186, 0x0000 }, {  186, 0x0000 },
+  {  186, 0x0020 }, {  187, 0x0000 }, {  187, 0x0800 }, {  188, 0x0800 },
+  {  189, 0x0000 }, {  189, 0x0000 }, {  189, 0x0000 }, {  189, 0x0000 },
+  /* 0x7100 */
+  {  189, 0x8010 }, {  191, 0x0000 }, {  191, 0x0000 }, {  191, 0x0000 },
+  {  191, 0x00c0 }, {  193, 0x1000 }, {  194, 0x0000 }, {  194, 0x0000 },
+  {  194, 0x0000 }, {  194, 0x0000 }, {  194, 0x0000 }, {  194, 0x0000 },
+  {  194, 0x0002 }, {  195, 0x0000 }, {  195, 0x0000 }, {  195, 0x4000 },
+  /* 0x7200 */
+  {  196, 0x0000 }, {  196, 0x0000 }, {  196, 0x0000 }, {  196, 0x0000 },
+  {  196, 0x0000 }, {  196, 0x0000 }, {  196, 0x0000 }, {  196, 0x0000 },
+  {  196, 0x0000 }, {  196, 0x0000 }, {  196, 0x0000 }, {  196, 0x4002 },
+  {  198, 0x0000 }, {  198, 0x0000 }, {  198, 0x0000 }, {  198, 0x0000 },
+  /* 0x7300 */
+  {  198, 0x0000 }, {  198, 0x0000 }, {  198, 0x0010 }, {  199, 0x0000 },
+  {  199, 0x0000 }, {  199, 0x0000 }, {  199, 0x0000 }, {  199, 0x0080 },
+  {  200, 0x0000 }, {  200, 0x0000 }, {  200, 0x0000 }, {  200, 0x2000 },
+  {  201, 0x0200 }, {  202, 0x0044 }, {  204, 0x0008 }, {  205, 0x0020 },
+  /* 0x7400 */
+  {  206, 0x0080 }, {  207, 0x0000 }, {  207, 0x4640 }, {  211, 0x0000 },
+  {  211, 0x0000 }, {  211, 0x0000 }, {  211, 0x0004 }, {  212, 0x0000 },
+  {  212, 0x0200 }, {  213, 0x8000 }, {  214, 0x0000 }, {  214, 0x0000 },
+  {  214, 0x0000 }, {  214, 0x0000 }, {  214, 0x0000 }, {  214, 0x0000 },
+  /* 0x7500 */
+  {  214, 0x0002 }, {  215, 0x0000 }, {  215, 0x8000 }, {  216, 0x0000 },
+  {  216, 0x0000 }, {  216, 0x0000 }, {  216, 0x8000 }, {  217, 0x0000 },
+  {  217, 0x0000 }, {  217, 0x0000 }, {  217, 0x0000 }, {  217, 0x0000 },
+  {  217, 0x0000 }, {  217, 0x0000 }, {  217, 0x0000 }, {  217, 0x0000 },
+  /* 0x7600 */
+  {  217, 0x0000 }, {  217, 0x0000 }, {  217, 0x0000 }, {  217, 0x0000 },
+  {  217, 0x0000 }, {  217, 0x0000 }, {  217, 0x0000 }, {  217, 0x0000 },
+  {  217, 0x0004 }, {  218, 0x5800 }, {  221, 0x0040 }, {  222, 0x0000 },
+  {  222, 0x0000 }, {  222, 0x0000 }, {  222, 0x0000 }, {  222, 0x0000 },
+  /* 0x7700 */
+  {  222, 0x0000 }, {  222, 0x0000 }, {  222, 0x0000 }, {  222, 0x0000 },
+  {  222, 0x0040 }, {  223, 0x0000 }, {  223, 0x0000 }, {  223, 0x0000 },
+  {  223, 0x0000 }, {  223, 0x0000 }, {  223, 0x0000 }, {  223, 0x0000 },
+  {  223, 0x0000 }, {  223, 0x0000 }, {  223, 0x0000 }, {  223, 0x0000 },
+  /* 0x7800 */
+  {  223, 0x0000 }, {  223, 0x0000 }, {  223, 0x0002 }, {  224, 0x0000 },
+  {  224, 0x4000 }, {  225, 0x0000 }, {  225, 0x0010 }, {  226, 0x0400 },
+  {  227, 0x0000 }, {  227, 0x0000 }, {  227, 0x0000 }, {  227, 0x0000 },
+  {  227, 0x0000 }, {  227, 0x0000 }, {  227, 0x0000 }, {  227, 0x0000 },
+  /* 0x7900 */
+  {  227, 0x0000 }, {  227, 0x0000 }, {  227, 0x0000 }, {  227, 0x0001 },
+  {  228, 0x0000 }, {  228, 0x0000 }, {  228, 0x0000 }, {  228, 0x0000 },
+  {  228, 0x0000 }, {  228, 0x0810 }, {  230, 0x0000 }, {  230, 0x0000 },
+  {  230, 0x0000 }, {  230, 0x0000 }, {  230, 0x0000 }, {  230, 0x0000 },
+  /* 0x7a00 */
+  {  230, 0x0000 }, {  230, 0x0000 }, {  230, 0x0000 }, {  230, 0x0000 },
+  {  230, 0x0000 }, {  230, 0x0000 }, {  230, 0x0000 }, {  230, 0x0000 },
+  {  230, 0x0000 }, {  230, 0x0000 }, {  230, 0x0000 }, {  230, 0x0000 },
+  {  230, 0x0000 }, {  230, 0x0002 }, {  231, 0x0880 }, {  233, 0x0000 },
+  /* 0x7b00 */
+  {  233, 0x0000 }, {  233, 0x0000 }, {  233, 0x0000 }, {  233, 0x0000 },
+  {  233, 0x0000 }, {  233, 0x0000 }, {  233, 0x0000 }, {  233, 0x0000 },
+  {  233, 0x0000 }, {  233, 0x4000 },
+};
+static const Summary16 jisx0212vdc_uni2indx_page7d[43] = {
+  /* 0x7d00 */
+  {  234, 0x0000 }, {  234, 0x0000 }, {  234, 0x0000 }, {  234, 0x0000 },
+  {  234, 0x0100 }, {  235, 0x1000 }, {  236, 0x0000 }, {  236, 0x0000 },
+  {  236, 0x0000 }, {  236, 0x0000 }, {  236, 0x0001 }, {  237, 0x0080 },
+  {  238, 0x0000 }, {  238, 0x0040 }, {  239, 0x0000 }, {  239, 0x0000 },
+  /* 0x7e00 */
+  {  239, 0x0000 }, {  239, 0x0000 }, {  239, 0x0000 }, {  239, 0x0000 },
+  {  239, 0x0000 }, {  239, 0x0004 }, {  240, 0x0000 }, {  240, 0x0000 },
+  {  240, 0x0400 }, {  241, 0x0000 }, {  241, 0x0000 }, {  241, 0x0000 },
+  {  241, 0x0000 }, {  241, 0x0000 }, {  241, 0x0000 }, {  241, 0x0000 },
+  /* 0x7f00 */
+  {  241, 0x0000 }, {  241, 0x0000 }, {  241, 0x0000 }, {  241, 0x0000 },
+  {  241, 0x0080 }, {  242, 0x0000 }, {  242, 0x0000 }, {  242, 0x0000 },
+  {  242, 0x0000 }, {  242, 0x0000 }, {  242, 0x0002 },
+};
+static const Summary16 jisx0212vdc_uni2indx_page83[44] = {
+  /* 0x8300 */
+  {  243, 0x0002 }, {  244, 0x0000 }, {  244, 0x0000 }, {  244, 0x0000 },
+  {  244, 0x0000 }, {  244, 0x0000 }, {  244, 0x0004 }, {  245, 0x8000 },
+  {  246, 0x0000 }, {  246, 0x0000 }, {  246, 0x0000 }, {  246, 0x0000 },
+  {  246, 0x0080 }, {  247, 0x0000 }, {  247, 0x0000 }, {  247, 0x0040 },
+  /* 0x8400 */
+  {  248, 0x0000 }, {  248, 0x0000 }, {  248, 0x0000 }, {  248, 0x0000 },
+  {  248, 0x0100 }, {  249, 0x0000 }, {  249, 0x0000 }, {  249, 0x0000 },
+  {  249, 0x0000 }, {  249, 0x0000 }, {  249, 0x0000 }, {  249, 0x0010 },
+  {  250, 0x0000 }, {  250, 0x1000 }, {  251, 0x0000 }, {  251, 0x0000 },
+  /* 0x8500 */
+  {  251, 0x0000 }, {  251, 0x0000 }, {  251, 0x0000 }, {  251, 0x0000 },
+  {  251, 0x0000 }, {  251, 0x0208 }, {  253, 0x0800 }, {  254, 0x0000 },
+  {  254, 0x0000 }, {  254, 0x0000 }, {  254, 0x0000 }, {  254, 0x0001 },
+};
+static const Summary16 jisx0212vdc_uni2indx_page88[109] = {
+  /* 0x8800 */
+  {  255, 0x0080 }, {  256, 0x0000 }, {  256, 0x0000 }, {  256, 0x0000 },
+  {  256, 0x0000 }, {  256, 0x0000 }, {  256, 0x0000 }, {  256, 0x0000 },
+  {  256, 0x0000 }, {  256, 0x0000 }, {  256, 0x0000 }, {  256, 0x0000 },
+  {  256, 0x0000 }, {  256, 0x0000 }, {  256, 0x0000 }, {  256, 0x0020 },
+  /* 0x8900 */
+  {  257, 0x0000 }, {  257, 0x1000 }, {  258, 0x0000 }, {  258, 0x0000 },
+  {  258, 0x0000 }, {  258, 0x0000 }, {  258, 0x0000 }, {  258, 0x0000 },
+  {  258, 0x0000 }, {  258, 0x0000 }, {  258, 0x0000 }, {  258, 0x0000 },
+  {  258, 0x0000 }, {  258, 0x0000 }, {  258, 0x0000 }, {  258, 0x0000 },
+  /* 0x8a00 */
+  {  258, 0x0000 }, {  258, 0x0004 }, {  259, 0x0000 }, {  259, 0x0080 },
+  {  260, 0x0000 }, {  260, 0x0000 }, {  260, 0x0000 }, {  260, 0x0200 },
+  {  261, 0x0000 }, {  261, 0x0000 }, {  261, 0x0080 }, {  262, 0x4000 },
+  {  263, 0x0000 }, {  263, 0x8000 }, {  264, 0x0000 }, {  264, 0x0040 },
+  /* 0x8b00 */
+  {  265, 0x0000 }, {  265, 0x0000 }, {  265, 0x0000 }, {  265, 0x0000 },
+  {  265, 0x0000 }, {  265, 0x0008 }, {  266, 0x0000 }, {  266, 0x8000 },
+  {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 },
+  {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 },
+  /* 0x8c00 */
+  {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 },
+  {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 },
+  {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 },
+  {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0000 }, {  267, 0x0011 },
+  /* 0x8d00 */
+  {  269, 0x0000 }, {  269, 0x0004 }, {  270, 0x0000 }, {  270, 0x0000 },
+  {  270, 0x0000 }, {  270, 0x0000 }, {  270, 0x0000 }, {  270, 0x0040 },
+  {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 },
+  {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 },
+  /* 0x8e00 */
+  {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 },
+  {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 },
+  {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 }, {  271, 0x0000 },
+  {  271, 0x8000 },
+};
+static const Summary16 jisx0212vdc_uni2indx_page90[238] = {
+  /* 0x9000 */
+  {  272, 0x0000 }, {  272, 0x0000 }, {  272, 0x0000 }, {  272, 0x0000 },
+  {  272, 0x0000 }, {  272, 0x0000 }, {  272, 0x0080 }, {  273, 0x0000 },
+  {  273, 0x0000 }, {  273, 0x0000 }, {  273, 0x0000 }, {  273, 0x0000 },
+  {  273, 0x0000 }, {  273, 0x4000 }, {  274, 0x0000 }, {  274, 0x0000 },
+  /* 0x9100 */
+  {  274, 0x0000 }, {  274, 0x0020 }, {  275, 0x0080 }, {  276, 0x0000 },
+  {  276, 0x0000 }, {  276, 0x0000 }, {  276, 0x0000 }, {  276, 0x0000 },
+  {  276, 0x0000 }, {  276, 0x0000 }, {  276, 0x0000 }, {  276, 0x0000 },
+  {  276, 0x0000 }, {  276, 0x4480 }, {  279, 0x6030 }, {  283, 0x0000 },
+  /* 0x9200 */
+  {  283, 0x0440 }, {  285, 0x0001 }, {  286, 0x0000 }, {  286, 0x1600 },
+  {  289, 0x4001 }, {  291, 0x0202 }, {  293, 0x0080 }, {  294, 0x0180 },
+  {  296, 0x0100 }, {  297, 0x0000 }, {  297, 0x0080 }, {  298, 0x0000 },
+  {  298, 0x0000 }, {  298, 0x02a9 }, {  303, 0x0081 }, {  305, 0x8a00 },
+  /* 0x9300 */
+  {  308, 0x0004 }, {  309, 0x6000 }, {  311, 0x0022 }, {  313, 0x0000 },
+  {  313, 0x0100 }, {  314, 0x0080 }, {  315, 0x0000 }, {  315, 0x0001 },
+  {  316, 0x0000 }, {  316, 0x0000 }, {  316, 0x0010 }, {  317, 0x0000 },
+  {  317, 0x0040 }, {  318, 0x4000 }, {  319, 0x0000 }, {  319, 0x0100 },
+  /* 0x9400 */
+  {  320, 0x0000 }, {  320, 0x0000 }, {  320, 0x0000 }, {  320, 0x0002 },
+  {  321, 0x0120 }, {  323, 0x0000 }, {  323, 0x0000 }, {  323, 0x0000 },
+  {  323, 0x0000 }, {  323, 0x0000 }, {  323, 0x0000 }, {  323, 0x0000 },
+  {  323, 0x0000 }, {  323, 0x0000 }, {  323, 0x0000 }, {  323, 0x0000 },
+  /* 0x9500 */
+  {  323, 0x0000 }, {  323, 0x0000 }, {  323, 0x0000 }, {  323, 0x0000 },
+  {  323, 0x0000 }, {  323, 0x0000 }, {  323, 0x0000 }, {  323, 0x0000 },
+  {  323, 0x0000 }, {  323, 0x0004 }, {  324, 0x0000 }, {  324, 0x0000 },
+  {  324, 0x0000 }, {  324, 0x0000 }, {  324, 0x0000 }, {  324, 0x0000 },
+  /* 0x9600 */
+  {  324, 0x0000 }, {  324, 0x0000 }, {  324, 0x0000 }, {  324, 0x0000 },
+  {  324, 0x0000 }, {  324, 0x0000 }, {  324, 0x0000 }, {  324, 0x0000 },
+  {  324, 0x0000 }, {  324, 0x2000 }, {  325, 0x8000 }, {  326, 0x0000 },
+  {  326, 0x0000 }, {  326, 0x0000 }, {  326, 0x0000 }, {  326, 0x0000 },
+  /* 0x9700 */
+  {  326, 0x0000 }, {  326, 0x0000 }, {  326, 0x0000 }, {  326, 0x0808 },
+  {  328, 0xa008 }, {  331, 0x0022 }, {  333, 0x0000 }, {  333, 0x0000 },
+  {  333, 0x0000 }, {  333, 0x0000 }, {  333, 0x0000 }, {  333, 0x0000 },
+  {  333, 0x0000 }, {  333, 0x0000 }, {  333, 0x0000 }, {  333, 0x0000 },
+  /* 0x9800 */
+  {  333, 0x0000 }, {  333, 0x0000 }, {  333, 0x0000 }, {  333, 0x0000 },
+  {  333, 0x0000 }, {  333, 0x0080 }, {  334, 0x0020 }, {  335, 0x0000 },
+  {  335, 0x0000 }, {  335, 0x0000 }, {  335, 0x0000 }, {  335, 0x0000 },
+  {  335, 0x0000 }, {  335, 0x0000 }, {  335, 0x0000 }, {  335, 0x0000 },
+  /* 0x9900 */
+  {  335, 0x0000 }, {  335, 0x0000 }, {  335, 0x0080 }, {  336, 0x0000 },
+  {  336, 0x0000 }, {  336, 0x0000 }, {  336, 0x0000 }, {  336, 0x0000 },
+  {  336, 0x0000 }, {  336, 0x4000 }, {  337, 0x0000 }, {  337, 0x0000 },
+  {  337, 0x0000 }, {  337, 0x0000 }, {  337, 0x0000 }, {  337, 0x0000 },
+  /* 0x9a00 */
+  {  337, 0x0000 }, {  337, 0x0000 }, {  337, 0x0000 }, {  337, 0x0000 },
+  {  337, 0x4000 }, {  338, 0x0000 }, {  338, 0x0000 }, {  338, 0x0000 },
+  {  338, 0x0000 }, {  338, 0x0000 }, {  338, 0x0000 }, {  338, 0x0000 },
+  {  338, 0x0000 }, {  338, 0x1200 }, {  340, 0x0000 }, {  340, 0x0000 },
+  /* 0x9b00 */
+  {  340, 0x0000 }, {  340, 0x0000 }, {  340, 0x0000 }, {  340, 0x0000 },
+  {  340, 0x0000 }, {  340, 0x0000 }, {  340, 0x0000 }, {  340, 0x0024 },
+  {  342, 0x8000 }, {  343, 0x0000 }, {  343, 0x0000 }, {  343, 0x0802 },
+  {  345, 0x0000 }, {  345, 0x0000 }, {  345, 0x0000 }, {  345, 0x0000 },
+  /* 0x9c00 */
+  {  345, 0x0001 }, {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0000 },
+  {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0000 },
+  {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0000 },
+  {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0000 },
+  /* 0x9d00 */
+  {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0000 },
+  {  346, 0x0000 }, {  346, 0x0000 }, {  346, 0x0800 }, {  347, 0x0001 },
+  {  348, 0x0000 }, {  348, 0x0000 }, {  348, 0x0000 }, {  348, 0x0000 },
+  {  348, 0x0000 }, {  348, 0x0000 }, {  348, 0x0000 }, {  348, 0x0000 },
+  /* 0x9e00 */
+  {  348, 0x0000 }, {  348, 0x0200 }, {  349, 0x0000 }, {  349, 0x0000 },
+  {  349, 0x0000 }, {  349, 0x0000 }, {  349, 0x0000 }, {  349, 0x0000 },
+  {  349, 0x0000 }, {  349, 0x0000 }, {  349, 0x0000 }, {  349, 0x0000 },
+  {  349, 0x0000 }, {  349, 0x0002 },
+};
+static const Summary16 jisx0212vdc_uni2indx_pagee3[70] = {
+  /* 0xe300 */
+  {  350, 0x0000 }, {  350, 0x0000 }, {  350, 0x0000 }, {  350, 0x0000 },
+  {  350, 0x0000 }, {  350, 0x0000 }, {  350, 0x0000 }, {  350, 0x0000 },
+  {  350, 0x0000 }, {  350, 0x0000 }, {  350, 0xf000 }, {  354, 0xffff },
+  {  370, 0xffff }, {  386, 0xffff }, {  402, 0xffff }, {  418, 0xffff },
+  /* 0xe400 */
+  {  434, 0xffff }, {  450, 0xffff }, {  466, 0xffff }, {  482, 0xffff },
+  {  498, 0xffff }, {  514, 0xffff }, {  530, 0xffff }, {  546, 0xffff },
+  {  562, 0xffff }, {  578, 0xffff }, {  594, 0xffff }, {  610, 0xffff },
+  {  626, 0xffff }, {  642, 0xffff }, {  658, 0xffff }, {  674, 0xffff },
+  /* 0xe500 */
+  {  690, 0xffff }, {  706, 0xffff }, {  722, 0xffff }, {  738, 0xffff },
+  {  754, 0xffff }, {  770, 0xffff }, {  786, 0xffff }, {  802, 0xffff },
+  {  818, 0xffff }, {  834, 0xffff }, {  850, 0xffff }, {  866, 0xffff },
+  {  882, 0xffff }, {  898, 0xffff }, {  914, 0xffff }, {  930, 0xffff },
+  /* 0xe600 */
+  {  946, 0xffff }, {  962, 0xffff }, {  978, 0xffff }, {  994, 0xffff },
+  { 1010, 0xffff }, { 1026, 0xffff }, { 1042, 0xffff }, { 1058, 0xffff },
+  { 1074, 0xffff }, { 1090, 0xffff }, { 1106, 0xffff }, { 1122, 0xffff },
+  { 1138, 0xffff }, { 1154, 0xffff }, { 1170, 0xffff }, { 1186, 0xffff },
+  /* 0xe700 */
+  { 1202, 0xffff }, { 1218, 0xffff }, { 1234, 0xffff }, { 1250, 0xffff },
+  { 1266, 0xffff }, { 1282, 0x00ff },
+};
+static const Summary16 jisx0212vdc_uni2indx_pagef9[19] = {
+  /* 0xf900 */
+  { 1290, 0x0000 }, { 1290, 0x0000 }, { 1290, 0x0200 }, { 1291, 0x0000 },
+  { 1291, 0x0000 }, { 1291, 0x0000 }, { 1291, 0x0000 }, { 1291, 0x0000 },
+  { 1291, 0x0000 }, { 1291, 0x0000 }, { 1291, 0x0000 }, { 1291, 0x0000 },
+  { 1291, 0x0000 }, { 1291, 0x1000 }, { 1292, 0x0000 }, { 1292, 0x0000 },
+  /* 0xfa00 */
+  { 1292, 0xc000 }, { 1294, 0xffff }, { 1310, 0x3fff },
+};
+static const Summary16 jisx0212vdc_uni2indx_pageff[1] = {
+  /* 0xff00 */
+  { 1324, 0x0084 },
+};
+
+static int
+jisx0212vdc_wctomb (conv_t conv, unsigned char *r, ucs4_t wc, int n)
+{
+  if (n >= 2) {
+    const Summary16 *summary = NULL;
+    if (wc >= 0x0000 && wc < 0x00b0)
+      summary = &jisx0212vdc_uni2indx_page00[(wc>>4)];
+    else if (wc >= 0x2100 && wc < 0x2180)
+      summary = &jisx0212vdc_uni2indx_page21[(wc>>4)-0x210];
+    else if (wc >= 0x3200 && wc < 0x3240)
+      summary = &jisx0212vdc_uni2indx_page32[(wc>>4)-0x320];
+    else if (wc >= 0x4e00 && wc < 0x5590)
+      summary = &jisx0212vdc_uni2indx_page4e[(wc>>4)-0x4e0];
+    else if (wc >= 0x5700 && wc < 0x59c0)
+      summary = &jisx0212vdc_uni2indx_page57[(wc>>4)-0x570];
+    else if (wc >= 0x5b00 && wc < 0x5de0)
+      summary = &jisx0212vdc_uni2indx_page5b[(wc>>4)-0x5b0];
+    else if (wc >= 0x5f00 && wc < 0x7ba0)
+      summary = &jisx0212vdc_uni2indx_page5f[(wc>>4)-0x5f0];
+    else if (wc >= 0x7d00 && wc < 0x7fb0)
+      summary = &jisx0212vdc_uni2indx_page7d[(wc>>4)-0x7d0];
+    else if (wc >= 0x8300 && wc < 0x85c0)
+      summary = &jisx0212vdc_uni2indx_page83[(wc>>4)-0x830];
+    else if (wc >= 0x8800 && wc < 0x8ed0)
+      summary = &jisx0212vdc_uni2indx_page88[(wc>>4)-0x880];
+    else if (wc >= 0x9000 && wc < 0x9ee0)
+      summary = &jisx0212vdc_uni2indx_page90[(wc>>4)-0x900];
+    else if (wc >= 0xe300 && wc < 0xe760)
+      summary = &jisx0212vdc_uni2indx_pagee3[(wc>>4)-0xe30];
+    else if (wc >= 0xf900 && wc < 0xfa30)
+      summary = &jisx0212vdc_uni2indx_pagef9[(wc>>4)-0xf90];
+    else if (wc >= 0xff00 && wc < 0xff10)
+      summary = &jisx0212vdc_uni2indx_pageff[(wc>>4)-0xff0];
+    if (summary) {
+      unsigned short used = summary->used;
+      unsigned int i = wc & 0x0f;
+      if (used & ((unsigned short) 1 << i)) {
+        unsigned short c;
+        /* Keep in `used' only the bits 0..i-1. */
+        used &= ((unsigned short) 1 << i) - 1;
+        /* Add `summary->indx' and the number of bits set in `used'. */
+        used = (used & 0x5555) + ((used & 0xaaaa) >> 1);
+        used = (used & 0x3333) + ((used & 0xcccc) >> 2);
+        used = (used & 0x0f0f) + ((used & 0xf0f0) >> 4);
+        used = (used & 0x00ff) + (used >> 8);
+        c = jisx0212vdc_2charset[summary->indx + used];
+        r[0] = (c >> 8); r[1] = (c & 0xff);
+        return 2;
+      }
+    }
+    return RET_ILSEQ;
+  }
+  return RET_TOOSMALL;
+}
+#endif
+
 static const unsigned short jisx0212_2uni_page22[81] = {
   /* 0x22 */
   0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd, 0xfffd,
@@ -919,11 +2505,19 @@ jisx0212_mbtowc (conv_t conv, ucs4_t *pwc, const unsigned char *s, int n)
           return 2;
         }
       }
+#ifdef sun
+      return jisx0212vdc_mbtowc (conv, pwc, s, n);
+#else
       return RET_ILSEQ;
+#endif
     }
     return RET_TOOFEW(0);
   }
+#ifdef sun
+  return jisx0212vdc_mbtowc (conv, pwc, s, n);
+#else
   return RET_ILSEQ;
+#endif
 }
 
 static const unsigned short jisx0212_2charset[6067] = {
@@ -2134,7 +3728,7 @@ jisx0212_wctomb (conv_t conv, unsigned char *r, ucs4_t wc, int n)
 {
   if (n >= 2) {
     const Summary16 *summary = NULL;
-    if (wc < 0x0460)
+    if (wc >= 0x0000 && wc < 0x0460)
       summary = &jisx0212_uni2indx_page00[(wc>>4)];
     else if (wc >= 0x2100 && wc < 0x2130)
       summary = &jisx0212_uni2indx_page21[(wc>>4)-0x210];
@@ -2157,7 +3751,11 @@ jisx0212_wctomb (conv_t conv, unsigned char *r, ucs4_t wc, int n)
         return 2;
       }
     }
+#ifdef sun
+    return jisx0212vdc_wctomb (conv, r, wc, n);
+#else
     return RET_ILSEQ;
+#endif
   }
   return RET_TOOSMALL;
 }
